# Pbkdf2 | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- Pbkdf2

### Implemented by

- NodeCryptoPbkdf2
- WebCryptoPartialPbkdf2
- WebCryptoPbkdf2

## Index

### Methods

- derive

## Methods

### derive

- derive(password: string, salt: Buffer, iterations: number, keyLength: number, digest: Pbkdf2Digests ): Promise<Buffer>

- - Defined in packages/encryption/src/pbkdf2.ts:6

  #### Parameters

  - ##### password: string

  - ##### salt: Buffer

  - ##### iterations: number

  - ##### keyLength: number

  - ##### digest: Pbkdf2Digests

  #### Returns Promise<Buffer>

Generated using TypeDoc